Name:		nfs-utils
Epoch:		1
Version:	1.2.7
Release:	%mkrel 3
Summary:	The utilities for Linux NFS server
Group:		Networking/Other
License:	GPL
URL:		http://sourceforge.net/projects/nfs/
Source0:	http://prdownloads.sourceforge.net/nfs/%{name}-%{version}.tar.bz2
Source6:	nfsv4.schema
Source7:	gssapi_mech.conf
Source8:	idmapd.conf
Source9:    id_resolver.conf
Source10:   nfs.sysconfig

Source11: nfs-lock.service
Source12: nfs-secure.service
Source13: nfs-secure-server.service
Source14: nfs-server.service
Source15: nfs-blkmap.service
Source16: nfs-rquotad.service
Source17: nfs-mountd.service
Source18: nfs-idmap.service
Source19: nfs.target
%define nfs_services %{SOURCE11} %{SOURCE12} %{SOURCE13} %{SOURCE14} %{SOURCE15} %{SOURCE16} %{SOURCE17} %{SOURCE18} %{SOURCE19}

Source20: var-lib-nfs-rpc_pipefs.mount
Source21: proc-fs-nfsd.mount
%define nfs_automounts %{SOURCE20} %{SOURCE21}

Source50: nfs-lock.preconfig
Source51: nfs-server.preconfig
Source52: nfs-server.postconfig
%define nfs_configs %{SOURCE50} %{SOURCE51} %{SOURCE52}

Source60: nfs4-modalias.conf

Requires(pre): rpm-helper
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(postun): rpm-helper
Requires:	rpcbind
Requires:	tcp_wrappers
Requires:	quota
BuildRequires:	krb5-devel >= 1.3
BuildRequires:	libevent-devel
BuildRequires:	nfsidmap-devel >= 0.16
BuildRequires:	rpcsecgss-devel >= 0.12
BuildRequires:	tcp_wrappers-devel
BuildRequires:	tirpc-devel
BuildRequires:	libblkid-devel
BuildRequires:	libcap-devel
BuildRequires:  keyutils-devel
BuildRequires:  libdevmapper-devel
BuildRequires:  sqlite3-devel
BuildRequires:  pkgconfig(mount)
Obsoletes: nfs-utils-clients 
Provides:	nfs-utils-clients

%description
This package provides various programs needed for NFS support on server.

%prep
%setup -q

%build
%serverbuild
%configure2_5x \
    --with-statdpath=%{_localstatedir}/lib/nfs/statd \
    --with-statduser=rpcuser \
    --enable-nfsv4 \
    --enable-ipv6 \
    --enable-gss \
    --enable-tirpc \
    --with-krb5=%{_prefix} \
    --enable-libmount-mount \
    --enable-mountconfig

make all CFLAGS="%{optflags} -DDEBUG"

%install
rm -rf %{buildroot}

install -d %{buildroot}{/sbin,/usr/sbin}
install -d %{buildroot}%{_mandir}/{man5,man8}

%make \
	DESTDIR=%{buildroot} \
	MANDIR=%{buildroot}%{_mandir} \
	SBINDIR=%{buildroot}%{_prefix}/sbin \
	install

install -m 755 tools/rpcdebug/rpcdebug %{buildroot}/sbin/
ln -snf rpcdebug %{buildroot}/sbin/nfsdebug
ln -snf rpcdebug %{buildroot}/sbin/nfsddebug

install -d %{buildroot}%{_sysconfdir}
install -m 644 utils/mount/nfsmount.conf %{buildroot}%{_sysconfdir}

install -d %{buildroot}%{_sysconfdir}/request-key.d
install -m 644 %{SOURCE9} %{buildroot}%{_sysconfdir}/request-key.d

install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE10} %{buildroot}%{_sysconfdir}/sysconfig/nfs

install -d %{buildroot}%{_sysconfdir}/modprobe.d
install -m 644 %{SOURCE60} %{buildroot}%{_sysconfdir}/modprobe.d/nfs.conf

install -d %{buildroot}%{_unitdir}
install -d %{buildroot}/usr/lib/%{name}/scripts
for service in %{nfs_services} ; do
	install -m 644 $service %{buildroot}%{_unitdir}
done
for service in %{nfs_automounts} ; do
	install -m 644 $service %{buildroot}%{_unitdir}
done
for config in %{nfs_configs} ; do
	install -m 755 $config %{buildroot}/usr/lib/%{name}/scripts
done

install -d %{buildroot}%{_localstatedir}/lib/nfs/rpc_pipefs

touch %{buildroot}%{_localstatedir}/lib/nfs/rmtab
mv %{buildroot}%{_sbindir}/rpc.statd %{buildroot}/sbin/

install -d %{buildroot}%{_localstatedir}/lib/nfs/statd/sm
install -d %{buildroot}%{_localstatedir}/lib/nfs/statd/sm.bak
install -d %{buildroot}%{_localstatedir}/lib/nfs/v4recovery
install -d %{buildroot}%{_sysconfdir}/exports.d

install -m 644 %{SOURCE7} %{buildroot}%{_sysconfdir}/gssapi_mech.conf
install -m 644 %{SOURCE8} %{buildroot}%{_sysconfdir}/idmapd.conf
perl -pi -e "s|/usr/lib|%{_libdir}|g" %{buildroot}%{_sysconfdir}/gssapi_mech.conf

# nuke dupes
rm -f %{buildroot}%{_sbindir}/rpcdebug

cat >%{buildroot}%{_sysconfdir}/exports <<EOF
# /etc/exports: the access control list for filesystems which may be exported
#               to NFS clients.  See exports(5).
EOF

# manage documentation manually
install -d -m 755 %{buildroot}%{_docdir}/%{name}
install -m 644 README ChangeLog COPYING NEWS %{SOURCE6} \
    %{buildroot}%{_docdir}/%{name}

# fix perms
chmod 4555 %{buildroot}/sbin/mount.nfs

%pre
%_pre_useradd rpcuser %{_localstatedir}/lib/nfs /bin/false

%post
ENABLE_CLIENT=no
ENABLE_SERVER=no
if [ -L /etc/init.d/rc3.d/S52nfs-common ]; then
  ENABLE_CLIENT=yes
fi
if [ -L /etc/init.d/rc3.d/S60nfs-server ]; then
  ENABLE_CLIENT=yes
  ENABLE_SERVER=yes
fi
%_post_unit nfs.target
if [ "$ENABLE_CLIENT" = "yes" ]; then
  %{_bindir}/systemctl --quiet enable --force nfs.target ||:
fi
if [ "$ENABLE_SERVER" = "yes" ]; then
  %{_bindir}/systemctl --quiet enable --force nfs-server.service ||:
fi

%preun
%_preun_unit nfs.target nfs-server.service nfs-blkmap.service nfs-secure.service nfs-secure-server.service

%postun
%_postun_userdel rpcuser

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_docdir}/%{name}
%dir %{_localstatedir}/lib/nfs
%dir %{_localstatedir}/lib/nfs/v4recovery
%dir %{_localstatedir}/lib/nfs/rpc_pipefs
%dir %{_sysconfdir}/exports.d
%dir %attr(700,rpcuser,rpcuser) %{_localstatedir}/lib/nfs/statd
%dir %attr(700,rpcuser,rpcuser) %{_localstatedir}/lib/nfs/statd/sm
%dir %attr(700,rpcuser,rpcuser) %{_localstatedir}/lib/nfs/statd/sm.bak
%config(noreplace) %attr(644,rpcuser,rpcuser) %{_localstatedir}/lib/nfs/state
%config(noreplace) %{_localstatedir}/lib/nfs/xtab
%config(noreplace) %{_localstatedir}/lib/nfs/etab
%config(noreplace) %{_localstatedir}/lib/nfs/rmtab
%config(noreplace) %{_sysconfdir}/request-key.d/id_resolver.conf
%config(noreplace) %{_sysconfdir}/exports
%config(noreplace) %{_sysconfdir}/sysconfig/nfs
%config(noreplace) %{_sysconfdir}/nfsmount.conf
%config(noreplace) %{_sysconfdir}/idmapd.conf
%config(noreplace) %{_sysconfdir}/gssapi_mech.conf
%{_sysconfdir}/modprobe.d/nfs.conf
%{_unitdir}/*
/usr/lib/%{name}/scripts/*
/sbin/nfsddebug
/sbin/rpc.statd
/sbin/mount.nfs
/sbin/mount.nfs4
/sbin/umount.nfs
/sbin/umount.nfs4
/sbin/rpcdebug
/sbin/nfsdebug
/sbin/osd_login
%{_sbindir}/exportfs
%{_sbindir}/rpc.mountd
%{_sbindir}/rpc.nfsd
%{_sbindir}/rpc.svcgssd
%{_sbindir}/sm-notify
%{_sbindir}/start-statd
%{_sbindir}/showmount
%{_sbindir}/mountstats
%{_sbindir}/nfsiostat
%{_sbindir}/nfsidmap
%{_sbindir}/blkmapd
%{_sbindir}/nfsstat
%{_sbindir}/rpc.idmapd
%{_sbindir}/rpc.gssd
%{_sbindir}/gss_clnt_send_err
%{_sbindir}/gss_destroy_creds
%{_sbindir}/nfsdcltrack
%{_mandir}/man5/exports.5*
%{_mandir}/man5/nfs.5*
%{_mandir}/man5/nfsmount.conf.5*
%{_mandir}/man7/nfsd.7*
%{_mandir}/man8/exportfs.8*
%{_mandir}/man8/mountd.8*
%{_mandir}/man8/nfsd.8*
%{_mandir}/man8/rpc.mountd.8*
%{_mandir}/man8/rpc.nfsd.8*
%{_mandir}/man8/rpc.svcgssd.8*
%{_mandir}/man8/svcgssd.8*
%{_mandir}/man8/mount.nfs.8*
%{_mandir}/man8/rpc.sm-notify.8*
%{_mandir}/man8/sm-notify.8*
%{_mandir}/man8/umount.nfs.8*
%{_mandir}/man8/rpc.statd.8*
%{_mandir}/man8/statd.8*
%{_mandir}/man8/showmount.8*
%{_mandir}/man8/nfsstat.8*
%{_mandir}/man8/rpcdebug.8*
%{_mandir}/man8/mountstats.8*
%{_mandir}/man8/nfsiostat.8*
%{_mandir}/man8/nfsidmap.8*
%{_mandir}/man8/blkmapd.8*
%{_mandir}/man8/rpc.gssd.8*
%{_mandir}/man8/rpc.idmapd.8*
%{_mandir}/man8/gssd.8*
%{_mandir}/man8/idmapd.8*
%{_mandir}/man8/nfsdcltrack.8*


%changelog

* Mon May 06 2013 colin <colin> 1:1.2.7-3.mga3
+ Revision: 412434
- Enable nfs.target on install and handle migration from sysvinit scripts.
- idmap requires /var/lib/nfs/rpc_pipefs
- Require 'quota' for rpc.rquoatad binary.
- systemd unit tweaks:
-  * Remove [Install] rules for all units that are implicitly started by other units.
-  * Ensure all service units that are under admin control are WantedBy=nfs.target
-  * Clarify unit names (nfs.target is for both clients and servers, nfs-secure.service is for clients)
-  * Standardise sysconfig variable names (*OPTS vs. *ARG vs. *ARGS -> *ARGS)
- Fix typo in argument variable (from Fedora)

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 guillomovitch <guillomovitch> 1:1.2.7-1.mga3
+ Revision: 323150
- new version

* Wed Nov 14 2012 blino <blino> 1:1.2.6-7.mga3
+ Revision: 317928
- add rpc module aliases, moved from kmod (from JA Magall?\195?\179n, mga#6918)

* Mon Oct 01 2012 colin <colin> 1:1.2.6-6.mga3
+ Revision: 301513
- Enable libmount mounting. Solves various issues relating to nofail and user mount options.

* Sat Jul 21 2012 dlucio <dlucio> 1:1.2.6-5.mga3
+ Revision: 273053
- lets provide clients to make the drakconf work properly

* Thu Jun 14 2012 blino <blino> 1:1.2.6-4.mga3
+ Revision: 260513
- move module alias nfs.conf to /etc/modprobe.d

* Wed Jun 13 2012 blino <blino> 1:1.2.6-3.mga3
+ Revision: 260392
- do not install modalias nfs.conf in a sub-directory (this is invalid)

* Mon Jun 11 2012 guillomovitch <guillomovitch> 1:1.2.6-2.mga3
+ Revision: 259882
- add exports.d directory
- use /var/lib/nfs/statd for statd, instead of /var/lib/nfs, as in fedora
- add modprobe config file to alias 'nfs4' to 'nfs'
- add systemd support
- drop sysinit support
- merge client and server package, as per redhat setup

* Thu May 31 2012 guillomovitch <guillomovitch> 1:1.2.6-1.mga3
+ Revision: 252212
- drop obsoletes upgrade posts scriptlets
- drop obsolete README.upgrade file
- drop obsolete documentation
- new version

* Fri Sep 30 2011 guillomovitch <guillomovitch> 1:1.2.5-1.mga2
+ Revision: 150508
- new version
- new version
- get rid of old conflict tags in spec file

* Tue Feb 08 2011 ennael <ennael> 1:1.2.3-2.mga1
+ Revision: 49044
- imported package nfs-utils


* Wed Dec 22 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.3-2mdv2011.0
+ Revision: 623868
- rebuilt against libevent 2.x

* Tue Sep 28 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.2.3-1mdv2011.0
+ Revision: 581867
- new version
  run idmapd by default, as NFSv4 is the default now

* Mon Apr 05 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.2.2-4mdv2010.1
+ Revision: 531794
- fix rpc.idmapd reloading in nfs-server init script
- fix descriptions (#58465)

* Tue Mar 30 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.2.2-3mdv2010.1
+ Revision: 529744
- rebuild with fixed libtirpc package

* Mon Mar 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.2.2-2mdv2010.1
+ Revision: 528780
- fix nfs4 support

* Thu Feb 18 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.2.2-1mdv2010.1
+ Revision: 507780
- new version

* Mon Feb 08 2010 Thomas Backlund <tmb@mandriva.org> 1:1.2.1-3mdv2010.1
+ Revision: 502491
- fix nfs mount fallback to v2/v3 if v4 fails (fix from upstream, mdv #57255)

* Tue Feb 02 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.2.1-2mdv2010.1
+ Revision: 499412
- enable mount configuration file support

* Fri Nov 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.2.1-1mdv2010.1
+ Revision: 462033
- new version
- don't check if the kernel has nfsd support, the symbol doesn't exist anymore (bug #54278)

  + Eugeni Dodonov <eugeni@mandriva.com>
    - removed redundant startup dependency on $network.

* Mon Sep 21 2009 Eugeni Dodonov <eugeni@mandriva.com> 1:1.2.0-2mdv2010.0
+ Revision: 446597
- Added missing buildrequires for libblkid-devel.
- Added dependency on $network to enable correct nfs shared mounting and unmounting during startup and shutdown (#43654)

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.2.0-1mdv2010.0
+ Revision: 383674
- new version

* Tue May 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.6-2mdv2010.0
+ Revision: 372312
- requires rpcbind, tirpc support isn't compatible with portmap

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.6-1mdv2010.0
+ Revision: 370369
- fix build dependencies
- new version
- enable tirpc and ipv6 support

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Reverted support for hardcoded fixed ports for NFS, now handled by drakx-net
      automatically.
    - Using fixed ports for NFS services (required for #7689 and #42072).

* Thu Mar 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.5-1mdv2009.1
+ Revision: 349071
- new version
- fix perms directly without regenerating autotools suite

* Wed Feb 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.4-3mdv2009.1
+ Revision: 337611
- fix build with latest libtool
- keep bash completion in its own package

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.1.4-2mdv2009.1
+ Revision: 317121
- rebuild

* Mon Oct 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.4-1mdv2009.1
+ Revision: 295575
- new version

* Sun Sep 28 2008 Frederik Himpe <fhimpe@mandriva.org> 1:1.1.3-7mdv2009.0
+ Revision: 289001
- Add epoch to the conflict in an attempt to fix upgrade from 2008.1

* Fri Sep 26 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.1.3-6mdv2009.0
+ Revision: 288550
- fix deps

* Fri Sep 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.3-5mdv2009.0
+ Revision: 288517
- fix post-install scriptlet

* Thu Sep 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.3-4mdv2009.0
+ Revision: 288302
- restart nfs-server service after restarting nfs-common service on update (bug #44149)
- stricter dependency between nfs-utils and nfs-utils-client

* Sat Sep 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.3-3mdv2009.0
+ Revision: 286184
- bash completion

* Sat Sep 06 2008 Frederic Crozat <fcrozat@mandriva.com> 1:1.1.3-2mdv2009.0
+ Revision: 282005
-Add conflicts to ease upgrade from Mdv 2008.1

* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.3-1mdv2009.0
+ Revision: 270556
- new version

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1:1.1.2-3mdv2009.0
+ Revision: 265198
- rebuild early 2009.0 package (before pixel changes)

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - move rpcdebug and nfsstat in client package

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Wed May 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.1.2-2mdv2009.0
+ Revision: 207041
- rebuilt against libevent-1.4.4

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version (no NFS4 patches available currently)

* Tue Apr 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.1-9mdv2009.0
+ Revision: 196530
- install all documentation files under /usr/share/doc/nfs-utils
- really fix rquotad binary name everywhere
- handle stop and status for rpc.rquotad, and fix binary name
- add missing quota support
- don't start nfs in runlevel 2 (Anssi)

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1:1.1.1-8mdv2008.1
+ Revision: 152817
+ rebuild (emptylog)

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1:1.1.1-7mdv2008.1
+ Revision: 152813
- remove useless kernel require

* Tue Jan 08 2008 Andreas Hasenack <andreas@mandriva.com> 1:1.1.1-6mdv2008.1
+ Revision: 146559
- fix permissions in sm/ subdir so that statd can run as rpcuser instead of root

* Mon Dec 24 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.1.1-5mdv2008.1
+ Revision: 137567
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Christiaan Welvaart <spturtle@mandriva.org> 1:1.1.1-4mdv2008.1
+ Revision: 119031
- patch55: mount.nfs should not try to update /etc/mtab if it is not writable

* Tue Dec 11 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.1-3mdv2008.1
+ Revision: 117538
- add RPCNFSD_OPTIONS in init script configuration
- no need to depend on network when already depending on portmap in initscripts
- make statd usage optional too, for pure nfs4 setup
- fix reload entry in server init script (bug #35655)

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 1:1.1.1-2mdv2008.1
+ Revision: 109205
- rebuild for new lzma

* Sun Nov 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.1-1mdv2008.1
+ Revision: 105882
- new version

* Fri Oct 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-11mdv2008.1
+ Revision: 95538
- return of the old chkconfig headers in initscript, to workaround several issues if chkconfig

* Wed Sep 26 2007 Olivier Blin <oblin@mandriva.com> 1:1.1.0-10mdv2008.0
+ Revision: 93088
- make mount.nfs readble for all users (so that it can be copied in drakx-installer-stage2 build)

* Sun Sep 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-9mdv2008.0
+ Revision: 92345
- fix README.urpmi file
- add README.upgrade.urpmi for describing init scripts setup
- ensure nfs is still enabled after upgrade (fix #32184)
- remove old headers, workaround is not needed as chkconfig --{add,del} is OK
- make nfs-server init script depends on nfs-common
- re-add old headers in init scripts (workaround for #33389)

* Wed Sep 12 2007 Anssi Hannula <anssi@mandriva.org> 1:1.1.0-7mdv2008.0
+ Revision: 84675
- remove obsolete README.urpmi, it was about already removed variables

* Thu Sep 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-6mdv2008.0
+ Revision: 81172
- spec cleanup
- fix build with gssglue
  drop unused patches
  drop conditional build without tcpwrapper
- drop dependency on gssapi-devel, rpcsecgss-devel already requires it
- add missing dependency on

* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-5mdv2008.0
+ Revision: 78415
- add  facility to server init script (#28589)
- allow init script gprintification

* Thu Aug 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-4mdv2008.0
+ Revision: 70148
- fix a bug in /etc/fstab reading in initscripts (fix #7406)

* Mon Aug 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-3mdv2008.0
+ Revision: 67206
- make sure %%post scripts always return a true exit status

* Sun Aug 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-2mdv2008.0
+ Revision: 66829
- fix dangling symlinks issue on upgrade
- add missing %%{_localstatedir}/nfs/sm (fix #32440)

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.1.0-1mdv2008.0
+ Revision: 56033
- drop nfs4 conditional build, useless complexity
- switch to simpler debian-based initscripts
- requires portmapper virtual package, not rpcbind, and only for client, as server requires it
- no more need to call autogen before configure
- new NFS4 patchset
- new version, dropping all merged patches

* Fri Jun 22 2007 Andreas Hasenack <andreas@mandriva.com> 1:1.0.12-15mdv2008.0
+ Revision: 43208
- use serverbuild macro

* Thu Apr 19 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.12-14mdv2008.0
+ Revision: 15034
- use rpcbind instead of portmap


* Tue Mar 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.12-13mdv2007.1
+ Revision: 147007
- yet another client-side file issue

* Tue Mar 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-12mdv2007.1
+ Revision: 146967
- fix more typos in init script reload() function

* Tue Mar 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-11mdv2007.1
+ Revision: 146877
- move %%{_localstatedir}/nfs/rpc_pipefs on client side, as it is needed by rpc.idmapd

* Mon Mar 19 2007 Pixel <pixel@mandriva.com> 1:1.0.12-10mdv2007.1
+ Revision: 146584
- /etc/exports upgrade is now safely handled in package setup

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - fix typo

* Thu Mar 15 2007 Olivier Blin <oblin@mandriva.com> 1:1.0.12-9mdv2007.1
+ Revision: 144426
- fix typos in lock file paths

* Wed Mar 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-8mdv2007.1
+ Revision: 143407
- drop merged nfs4 patches
- additional notes about upgrade in README.urpmi
- minor spec cleanup
- don't check keytab in rpcsvcgssd service, because it would force a dependecy on krb5-workstation package
- renumber nfs4 patches as upstream, to make tracking easier
- use versioned conflicts, rather than versioned requires, to handle relationship with setup and server-clients packages

* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-7mdv2007.1
+ Revision: 138954
- set a versioned requires on nfs-utils-client, to avoid conflicts on services script during upgrade (thx tv)
  cleanup old conflicts and dependencies

* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-6mdv2007.1
+ Revision: 138786
- fix %%post/%%pre, as some services have been moved between client and server package
- mv /etc/exports from setup to this package
- move more nfs4 clients files to clients subpackage
- clean up all init scripts:
- remove useless tests on binary presence
- use consistant syntax and indentation
- use functions to avoid useless forks
- replace non-standard 'condstart' actions by 'reload'
- use lock files to prevent double start
- make nfs4 init scripts really use variables defined in /etc/sysconfig/nfs
- make nfs4 init scripts not depending on SECURE_NFS variable,
  they are supposed to be used on client side only
- make nfs service really fails if /etc/exports is missing
- change nfs service to handle nfs4 services if configured to do so
- change nfs service to launch nfsd after mountd

* Thu Mar 08 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-5mdv2007.1
+ Revision: 138345
- really revert my changes in init script, not just in my working directory...

* Thu Mar 08 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-4mdv2007.1
+ Revision: 137845
- mv /etc/sysconfig/nfs in client subpackage
- use functions to avoid forking new process uselessly for restart
  use global variables for lockfile location
- various cleanups:
- constant indentation
- set default values before sourcing configuration
- drop useless tests
- don't manage activation dependencies in init script, that's chkconfig task

* Wed Mar 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-3mdv2007.1
+ Revision: 134577
- no need to specify perms in file section if they are already correct
- rpcidmapd and rpcgssd are client tools

* Thu Mar 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.0.12-2mdv2007.1
+ Revision: 130570
- no reason for a mandatory dependency on kerberos tools just because it is supported

* Tue Feb 27 2007 Olivier Thauvin <nanardon@mandriva.org> 1:1.0.12-1mdv2007.1
+ Revision: 126372
- reapply patch for nfsv4, clean up the old one
- 1.0.12

* Mon Jan 22 2007 Andreas Hasenack <andreas@mandriva.com> 1:1.0.10-2mdv2007.1
+ Revision: 111853
- rebuilt with new librpcsecgss (soname 3)
- added latest CITI patch for nfs-utils

* Thu Nov 23 2006 Andreas Hasenack <andreas@mandriva.com> 1:1.0.10-1mdv2007.1
+ Revision: 86807
- updated to version 1.0.10

  + Oden Eriksson <oeriksson@mandriva.com>
    - bzip2 cleanup

* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.9-4mdv2007.1
+ Revision: 63384
- bunzip sources
- Import nfs-utils

* Fri Sep 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.9-3mdv2007.0
- don't use the kerberos releated parts per default (#25704), it also 
  eliminates failure ([FAIL]) on the support services when rebooting.
  added a README.urpmi file that mentions this.

* Thu Sep 14 2006 Olivier Blin <blino@mandriva.com> 1.0.9-2mdv2007.0
- make the nfs service return nfsd status (#23442)

* Sun Jul 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.9-1mdv2007.0
- 1.0.9
- drop upstream patches; P55,P152

* Thu Jun 29 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.8-4mdv2007.0
- fix #19059 in S4

* Fri Jun 09 2006 Vincent Guardiola <vguardiola@mandriva.com> 1:1.0.8-3mdv2007.0
- add patch nfs-utils-1.0.8-err_util.patch (Andreas Hasenack)
- sec=krb5 works now

* Thu Jun 08 2006 Vincent Guardiola <vguardiola@mandriva.com> 1:1.0.8-2mdv2007.0
- Fix rpc.mountd start in initscript (Bug 22979)

* Wed Jun 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.8-1mdv2007.0
- 1.0.8
- drop upstream patches; P53,P56
- rediffed P100
- enable NFSV4 and tcp_wrappers per default
- fix deps
- don't start rpcsvcgssd if nfs is not setup in kerberos (Andreas Hasenack)

* Sat Feb 04 2006 Olivier Blin <oblin@mandriva.com> 1:1.0.8-0.rc2.4mdk
- remove spurious "Shutting down NFS mountd: " message
  in nfs service status (Source2)

* Tue Jan 31 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.0.8-0.rc2.3mdk
- Ada /var/lib/nfs/v4recovery directory to nfs-utils-clients package

* Fri Jan 20 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.8-0.rc2.2mdk
- fix deps

* Sat Jan 14 2006 Stefan van der Eijk <stefan@eijk.nu> 1:1.0.8-0.rc2.1mdk
- 1.0.8-rc2
- sync fedora patches (1.0.8-1)
- drop patch 0
- drop patch 2, replaced by patch 100
- drop patch 10-16, 20-27
- disable patch 40, 150, 151

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 1.0.7-10mdk
- fix typo in initscripts

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 1:1.0.7-9mdk
- convert parallel init to LSB (Sources 2, 4, 6, 7, 8, ouch)
- split Requires(X,Y)

* Mon Jan 02 2006 Olivier Blin <oblin@mandriva.com> 1:1.0.7-8mdk
- parallel init support

* Tue Dec 20 2005 Stefan van der Eijk <stefan@eijk.nu> 1:1.0.7-7mdk
- Remove patch200 (CAN-2004-1014) merged in post6 (patch16)
- Remove patch201 (CAN-2004-0946) merged in post5 (patch15)
- sync patches with 1.0.7-19.FC5

* Wed Aug 24 2005 Stew Benedict <sbenedict@mandriva.com> 1:1.0.7-6mdk
- conflicts with clusternfs

* Sun May 22 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.7-5mdk
- use separate sources for initscripts and such (for cvs tracking)
- synced with fedora (P25)
- added P26,P27,P27 from fedora
- added one gcc4 patch (P50, gentoo)
- use the %%mkrel macro
- use new rpm-4.4.x pre,post magic

* Sun Feb 27 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:1.0.7-4mdk
- synced sysv scripting with fedora and added P20-P25 (nfs-utils-1.0.7-1)
- misc rpmlint fixes

* Wed Feb 02 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-3mdk
- make sure portmap is running (nfs)

* Tue Jan 11 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-2mdk
- fix deps
- make sure portmap is running (nfslock)

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7 
- rediffed the CAN-2004-1014 patch (P200, parts of it was applied)
- merge nfs4-utils-1.0.6-3mdk into this package but use --with
  build options instead
- drop obsolete patches and reorder them
- added P3
- added P200 (CAN-2004-0946, even though we don't build rpcquotad
  apply the patch anyway)
- fix deps

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.6-3mdk
- merged with 1.0.6-2.1.101mdk

* Wed Sep 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.6-2mdk
- spec file cleanup

